PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5_Worksheet

Source Location: /PHPExcel/Writer/Excel5/Worksheet.php

### Class Overview

    PHPExcel_Writer_Excel5_BIFFwriter
       |
       --PHPExcel_Writer_Excel5_Worksheet

PHPExcel_Writer_Excel5_Worksheet

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_active_pane
- $_colinfo
- $_fntHashIndex
- $_outline_below
- $_outline_on
- $_outline_right
- $_outline_style
- $_phpSheet
- $_selection
- $_str_table
- $_str_total
- $_str_unique
- $_xls_strmax

### Methods

- __construct
- close
- getData
- getEscher
- insertBitmap
- printRowColHeaders
- setEscher
- setOutline

### Inherited Variables

#### Class: PHPExcel_Writer_Excel5_BIFFwriter

PHPExcel_Writer_Excel5_BIFFwriter::$_data
PHPExcel_Writer_Excel5_BIFFwriter::$_datasize
PHPExcel_Writer_Excel5_BIFFwriter::$_limit

### Inherited Methods

#### Class: PHPExcel_Writer_Excel5_BIFFwriter

PHPExcel_Writer_Excel5_BIFFwriter::__construct()
  Constructor
PHPExcel_Writer_Excel5_BIFFwriter::getByteOrder()
  Determine the byte order and store it as class data to avoid recalculating it for each call to new().
PHPExcel_Writer_Excel5_BIFFwriter::writeData()
  General storage function like _append, but returns string instead of modifying $this->_data
PHPExcel_Writer_Excel5_BIFFwriter::writeEof()
  Writes Excel EOF record to indicate the end of a BIFF stream.

### Class Details

[line 71]
PHPExcel_Writer_Excel5_Worksheet

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_active_pane =

[line 102]

The active pane for the worksheet

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_colinfo =

[line 90]

Array containing format information for columns

#### Tags:

access: | public

Type: | array

[ Top ]

#### $_fntHashIndex =

[line 200]

Array of font hashes associated to FONT records index

#### Tags:

access: | public

Type: | array

[ Top ]

#### $_outline_below =

[line 120]

Whether to have outline summary below.

#### Tags:

access: | public

Type: | bool

[ Top ]

#### $_outline_on =

[line 108]

Whether to use outline.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_outline_right =

[line 126]

Whether to have outline summary at the right.

#### Tags:

access: | public

Type: | bool

[ Top ]

#### $_outline_style =

[line 114]

Auto outline styles.

#### Tags:

access: | public

Type: | bool

[ Top ]

#### $_phpSheet =

[line 179]

Sheet object

#### Tags:

access: | public

Type: | PHPExcel_Worksheet

[ Top ]

#### $_selection =

[line 96]

Array containing the selected area for the worksheet

#### Tags:

access: | public

Type: | array

[ Top ]

#### $_str_table =

[line 144]

Reference to the array containing all the unique strings in the workbook

#### Tags:

access: | public

Type: | array

[ Top ]

#### $_str_total =

[line 132]

Reference to the total number of strings in the workbook

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_str_unique =

[line 138]

Reference to the number of unique strings in the workbook

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_xls_strmax =

[line 84]

Maximum number of characters for a string (LABEL record in BIFF5)

#### Tags:

access: | public

Type: | integer

[ Top ]

### Class Methods

### constructor __construct [line 214]

`PHPExcel_Writer_Excel5_Worksheet __construct( int &$str_total, int &$str_unique, array &$str_table, array &$colors, mixed $parser, boolean $preCalculateFormulas, PHPExcel_Worksheet $phpSheet)`

Constructor

#### Tags:

access: | public

Overrides PHPExcel_Writer_Excel5_BIFFwriter::__construct() (Constructor)

#### Parameters:

int | &$str_total | Total number of strings
int | &$str_unique | Total number of unique strings
array | &$str_table | String Table
array | &$colors | Colour Table
mixed | $parser | The formula parser created for the Workbook
boolean | $preCalculateFormulas | Flag indicating whether formulas should be calculated or just written
PHPExcel_Worksheet | $phpSheet |

[ Top ]

### method close [line 276]

`void close( )`

Add data to the beginning of the workbook (note the reverse order) and to the end of the workbook.

#### Tags:

see: | PHPExcel_Writer_Excel5_Workbook::storeWorkbook()
access: | public

[ Top ]

### method getData [line 556]

`string getData( )`

Retrieves data from memory in one chunk, or from disk in $buffer sized chunks.

#### Tags:

return: | The data

[ Top ]

### method getEscher [line 2679]

`PHPExcel_Shared_Escher getEscher( )`

Get Escher object

#### Tags:

access: | public

[ Top ]

### method insertBitmap [line 2330]

`void insertBitmap( integer $row, integer $col, mixed $bitmap, [integer $x = 0], [integer $y = 0], [float $scale_x = 1], [float $scale_y = 1])`

Insert a 24bit bitmap image in a worksheet.

#### Tags:

access: | public

#### Parameters:

integer | $row | The row we are going to insert the bitmap into
integer | $col | The column we are going to insert the bitmap into
mixed | $bitmap | The bitmap filename or GD-image resource
integer | $x | The horizontal position (offset) of the image inside the cell.
integer | $y | The vertical position (offset) of the image inside the cell.
float | $scale_x | The horizontal scale
float | $scale_y | The vertical scale

[ Top ]

### method printRowColHeaders [line 576]

`void printRowColHeaders( [integer $print = 1])`

Set the option to print the row and column headers on the printed page.

#### Tags:

access: | public

#### Parameters:

integer | $print | Whether to print the headers or not. Defaults to 1 (print).

[ Top ]

### method setEscher [line 2689]

`void setEscher( [PHPExcel_Shared_Escher $pValue = null])`

Set Escher object

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher | $pValue |

[ Top ]

### method setOutline [line 590]

`void setOutline( [bool $visible = true], [bool $symbols_below = true], [bool $symbols_right = true], [bool $auto_style = false])`

This method sets the properties for outlining and grouping. The defaults correspond to Excel's defaults.

#### Parameters:

bool | $visible |
bool | $symbols_below |
bool | $symbols_right |
bool | $auto_style |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:17 +0200 by phpDocumentor 1.4.4